[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.EndUpdate

Ends an update batch.

## Declaration

Source position: classesh.inc line 556

`public procedure TCollection.EndUpdate; virtual;`

## Description

EndUpdate signals the end of a series of operations that change the state of the collection, possibly triggering an update event. It does this by decreasing the update count with 1 and calling TCollection.Changed it should always be used in conjunction with TCollection.BeginUpdate, preferably in the Finally section of a Try ... Finally block.

## See also

TCollection.BeginUpdate |  | Start an update batch.
TCollection.Changed |  | Procedure called if an item is added to or removed from the collection.
TCollection.Update |  | Hander called when an item in the collection has changed.

Documentation generated on: Feb 26 2014